# 5. API Reference | UFMODSettings

This documentation is preliminary and is subject to change.

This class inherits from UObject.

Defines:

- EFMODLogging
- EFMODSpeakerMode
- FCustomPoolSizes

Properties:

- UFMODSettings::bLoadAllBanks
- UFMODSettings::bLoadAllSampleData
- UFMODSettings::bEnableLiveUpdate
- UFMODSettings::bEnableEditorLiveUpdate
- UFMODSettings::BankOutputDirectory
- UFMODSettings::OutputFormat
- UFMODSettings::bVol0Virtual
- UFMODSettings::Vol0VirtualLevel
- UFMODSettings::SampleRate
- UFMODSettings::bMatchHardwareSampleRate
- UFMODSettings::RealChannelCount
- UFMODSettings::TotalChannelCount
- UFMODSettings::DSPBufferLength
- UFMODSettings::DSPBufferCount
- UFMODSettings::FileBufferSize
- UFMODSettings::StudioUpdatePeriod
- UFMODSettings::InitialOutputDriverName
- UFMODSettings::bLockAllBuses
- UFMODSettings::MemoryPoolSizes
- UFMODSettings::LiveUpdatePort
- UFMODSettings::EditorLiveUpdatePort
- UFMODSettings::PluginFiles
- UFMODSettings::ContentBrowserPrefix
- UFMODSettings::ForcePlatformName
- UFMODSettings::MasterBankName
- UFMODSettings::SkipLoadBankName
- UFMODSettings::EncryptionKey
- UFMODSettings::WavWriterPath
- UFMODSettings::LoggingLevel
- UFMODSettings::OcclusionParameter
- UFMODSettings::AmbientVolumeParameter
- UFMODSettings::AmbientLPFParameter

Methods:

- UFMODSettings::IsBankPathSet
- UFMODSettings::GetFullBankPath
- UFMODSettings::GetMasterBankFilename
- UFMODSettings::GetMasterAssetsBankFilename
- UFMODSettings::GetMasterStringsBankFilename
- UFMODSettings::GetAllBankPaths